## impression 3.5.5

=== meson_options.txt ===
option (
    'profile',
    type: 'combo',
    choices: [
        'default',
        'development'
    ],
    value: 'default'
)

=== debian/changelog ===
impression (3.5.5-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright: include license for a file identified during DFSG review
  * Update Build-Depends
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Feb 2026 11:36:02 -0500

impression (3.5.1-1) experimental; urgency=medium

  * Initial release (Closes: #1116495)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Sep 2025 16:28:40 -0400

=== debian/control ===
Source: impression
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: gnome
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 appstream <!nocheck>,
 blueprint-compiler,
 cargo:native,
 desktop-file-utils,
# itstool,
 libadwaita-1-dev,
 librust-anyhow-1+default-dev,
 librust-ashpd-0.12+default-dev,
 librust-chrono-0.4+default-dev,
 librust-derivative-2+default-dev (>= 2.2-~~),
 librust-futures-0.3+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-glib-0.21+default-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+gnome-49-dev,
 librust-itertools-0+default-dev (>= 0.13-~~),
 librust-libadwaita-0.8+default-dev,
 librust-libadwaita-0.8+v1-8-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-rayon-1+default-dev (>= 1.11-~~),
 librust-reqwest-0.12+default-dev,
 librust-reqwest-0.12+json-dev,
 librust-reqwest-0.12+stream-dev,
 librust-roxmltree-0.20+default-dev,
 librust-serde-json-1+default-dev,
 librust-thiserror-2+default-dev,
 librust-tokio-1+default-dev (>= 1.48-~~),
 librust-tokio-1+process-dev (>= 1.48-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.48-~~),
 librust-tracing-subscriber-0.3+default-dev,
 librust-udisks2-0.3+default-dev (>= 0.3.1-~~),
 libstd-rust-dev,
 libxml2-utils,
 meson,
 rustc:native (>= 1.88.0),
Vcs-Browser: https://salsa.debian.org/gnome-team/impression
Vcs-Git: https://salsa.debian.org/gnome-team/impression.git
Homepage: https://apps.gnome.org/Impression/

Package: impression
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GNOME app to create bootable USB drives
 Write disk images to your drives with ease. Select an image, insert
 your drive, and you're good to go! Impression is a useful tool for
 both avid distro-hoppers and casual computer users.
 .
 Impression is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock
	rm -f .cargo/config

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 5

override_dh_auto_install:
	$(if $(findstring armhf,$(DEB_HOST_ARCH)), DEB_BUILD_OPTIONS="parallel=4 $(filter-out parallel=%,$(DEB_BUILD_OPTIONS))") dh_auto_install

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.com/adhami3310/Impression
